Package org.kapott.hbci.swift

## Class DTAUS_CH.Transaction

- java.lang.Object
- - org.kapott.hbci.swift.DTAUS_CH.Transaction

Enclosing class:
  DTAUS_CH

    public class DTAUS_CH.Transaction
    extends java.lang.Object

### Field Summary

Fields
`int` `idx`
`Konto` `other`
`java.util.List<java.lang.String>` `usage`
`Value` `value`

### Constructor Summary

Constructors
`Transaction​(Konto other, Value value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUsage​(java.lang.String st)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### other

    public Konto other

#### value

    public Value value

#### usage

    public java.util.List<java.lang.String> usage

#### idx

    public int idx

### Constructor Detail

#### Transaction

    public Transaction​(Konto other,
                       Value value)

### Method Detail

#### addUsage

    public void addUsage​(java.lang.String st)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`